Download it now!
Bug 31072 - Impress not showing Unicode characters correctly when in fullscreen/run mode
Summary: Impress not showing Unicode characters correctly when in fullscreen/run mode
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
unspecified
Hardware: x86-64 (AMD64) Linux (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Font-Substitution
  Show dependency treegraph
 
Reported: 2010-10-23 21:58 UTC by JC John Sese Cuneta
Modified: 2019-04-02 02:49 UTC (History)
7 users (show)

See Also:
Crash report or crash signature:


Attachments
actual example (507.29 KB, application/vnd.oasis.opendocument.presentation)
2010-10-23 21:58 UTC, JC John Sese Cuneta
Details
Screenshots of slides 7 and 10 from presentation showing correct rendering. (1.11 MB, application/zip)
2014-07-16 11:48 UTC, Owen Genat (retired)
Details
Slide 7 with glyph bug (606.81 KB, image/png)
2014-07-25 19:51 UTC, vulcain
Details
fc-list -v on Ubuntu 12.04.4 (870.05 KB, text/plain)
2014-07-25 19:53 UTC, vulcain
Details
After install BayLopez.ttf (871.55 KB, text/plain)
2014-07-25 20:05 UTC, vulcain
Details

Note You need to log in before you can comment on or make changes to this bug.
Description JC John Sese Cuneta 2010-10-23 21:58:04 UTC
Created attachment 39659 [details]
actual example

Impress is not showing the Unicode characters correctly when it is in fullscreen/run mode.  The Unicode characters shows correctly in edit mode but once you press F5, it gets garbled.

Additionally, there are instances wherein the ASCII range characters disappears in fullscreen/run mode when it is followed by Unicode characters.  In this case, the Unicode characters appears correctly.

See attachment for an actual sample.

First noticed this in LibreOffice beta1 under Ubuntu 10.10 64-bit.
The same thing happens in LibreOffice beta2 under Ubuntu 10.10 Netbook Remix 32-bit.
Comment 1 Noel Power 2010-10-27 03:12:38 UTC
hmm I can't even get this to open fullscreen, soffice exits

console o/p is

power@linux-imfd:~/OOO_BUILD_MASTER/ooo-build/INSTALL_DIR/program> nv50_screen_get_param:149 -  Unknown PIPE_CAP 29
nv50_screen_get_param:149 -  Unknown PIPE_CAP 29
nv50_screen_get_param:149 -  Unknown PIPE_CAP 29
nv50_vbo_vtxelt_to_hw:153 -  unsupported vbo format: PIPE_FORMAT_R64G64B64_FLOAT

** (bug-buddy:8296): WARNING **: Couldn't load /etc/xdg/autostart/ksmolt-autostart.desktop: Invalid key name: X-KDE-autostart-condition[$e]
Missing separate debuginfo for /usr/lib64/libstdc++.so.6

=> thorsten
Comment 2 Thorsten Behrens (CIB) 2010-10-27 07:18:10 UTC
Confirmed. A few are missing.
Comment 3 Thorsten Behrens (CIB) 2010-10-27 08:10:16 UTC
Fixed a crash inside the opengl transitions alongside. A race apparently, when trying to dispose textures on a display that was not yet initialized.
Comment 4 lpietsch 2010-11-10 05:35:16 UTC
Sounds like the same issue I reported for OpenOffice.org 3.2 on Ubuntu Linux, see OOo bug 115486, http://www.openoffice.org/issues/show_bug.cgi?id=115486
Comment 5 Roman Eisele 2012-05-03 05:53:29 UTC
This is a Impress bug, therefore changed Component accordingly.

And: is this bug still open, or is it fixed now?
Comment 6 Julien Nabet 2012-05-11 22:40:04 UTC
Just to give an update.

On pc Debian x86-64 with 3.5 branch updated today (and brand new LO profile), Unicode doesn't display on first slide in edit or fullscreen mode.
However, everything is ok with slide 5 (which contains the "Peso") in both mode.
Now perhaps it's normal and that i would just need a specific font.

Noticed this on console :
warn:legacy.osl:6402:1:/home/julien/compile-libreoffice/libo_3_5/sw/source/core/text/porlay.cxx:1279: Heavy InitScriptType() confusion

+ several times (about 30 ?) :
warn:legacy.osl:6402:1:/home/julien/compile-libreoffice/libo_3_5/sw/inc/swrect.hxx:308: SVRect() without Width or Height
Comment 7 bfoman (inactive) 2013-05-16 10:34:33 UTC
This bug has not been touched by its owner for a long time. To make it clearer which bugs should be fixed by someone else please take following action:
- If you are the owner, and you are actively working on the bug, please give it an update. 
- If you are the owner, and you do not plan to work on it in the near future,
please reassign it to the default assignee and change its status to NEW.
Comment 8 Thorsten Behrens (CIB) 2013-06-05 14:51:14 UTC
Sorry guys, cannot currently commit time to this -> freeing the bug for others to pick it up.
Comment 9 Zeki Bildirici 2014-01-18 21:38:59 UTC
Hi,

Current status on ubuntu 13.10 x64, LibreOffice Version: 4.2.0.1
Build ID: 420m0(Build:1)

- No porblems in first page and Peso sign
- Slides #7 and 10 has display problems in both edit and presentation mode.

Best regards,
Zeki
Comment 10 vulcain 2014-01-30 11:34:57 UTC
Did you test, if your linux could see this unicode in other programs: web browser on wikipedia (https://en.wikipedia.org/wiki/Tagalog_%28Unicode_block%29 or https://en.wikipedia.org/wiki/Miscellaneous_Symbols_And_Pictographs )or text editor??

For example some unicodes could no be seen on Ubuntu 12.04 if you don't install ttf-ancient-fonts
Comment 11 Jean-Baptiste Faure 2014-05-01 20:50:40 UTC
Please, is it possible to have a screencopy for each slide showing what we should see ?

Best regard. JBF
Comment 12 Owen Genat (retired) 2014-07-16 11:48:27 UTC
Created attachment 102918 [details]
Screenshots of slides 7 and 10 from presentation showing correct rendering.

(In reply to comment #9)
> - Slides #7 and 10 has display problems in both edit and presentation mode.

(In reply to comment #10)
> Did you test, if your linux could see this unicode in other programs: web
> browser on wikipedia
> (https://en.wikipedia.org/wiki/Tagalog_%28Unicode_block%29 or

As indicated in these comments the non-displayed characters are codepoints in the Tagalog Unicode block. With installed font support the slides render as expected in both edit and slideshow mode under Debian 7 x86_64 running v4.1.6.2 Build ID: 40ff705089295be5be0aae9b15123f687c05b0a and v4.3.0.2 Build ID: 14ed55896fdfcb93ff437b85c4f3e1923d2b1409. Free Tagalog fonts available here: 

http://www.mts.net/~pmorrow/fonts.htm 

I used the Baybayin Lopez one to produce the attached screenshots. I think this can be RESOLVED as NOTABUG.
Comment 13 Owen Genat (retired) 2014-07-16 11:51:45 UTC
As a result of comment 12 status set back to NEW. I will leave for another to confirm and close.
Comment 14 Julien Nabet 2014-07-19 12:43:23 UTC
Caolán/thorsten: Following Owen's comment and since the subject, thought you might be interested in this one.
Comment 15 Caolán McNamara 2014-07-22 10:15:37 UTC
works for me too, might have been a problem with glyph substition in full screen mode vs normal. If anyone still has the problem then attach the output of fc-list -v to this bug before reopening
Comment 16 vulcain 2014-07-25 19:51:18 UTC
Created attachment 103463 [details]
Slide 7 with glyph bug

I have the bug with glyph on slide 7 and slide 10 in fullscreen mode and in view mode too
The glyphs are not smooth and have a lot of pixels.

Tested on Ubuntu 12.04.4 x86_64 with:
* LibreOffice 3.5.7.2  Version ID : 350m1(Build:2)
* LibreOffice 4.3.0.3 Build ID: 08ebe52789a201dd7d38ef653ef7a48925e7f9f7
Comment 17 vulcain 2014-07-25 19:53:38 UTC
Created attachment 103464 [details]
fc-list -v on Ubuntu 12.04.4

fc-list -v where slide 7 's glyph with a lot of pixel.
Comment 18 vulcain 2014-07-25 20:05:22 UTC
Created attachment 103470 [details]
After install BayLopez.ttf

No change after install BayLopez.ttf
Comment 19 Joel Madero 2014-11-03 03:22:57 UTC
REOPENED wrong status - setting back to NEW.
Comment 20 QA Administrators 2015-12-20 16:10:29 UTC Comment hidden (obsolete)
Comment 21 QA Administrators 2017-01-03 19:47:28 UTC Comment hidden (obsolete)
Comment 22 Alberto Salvia Novella 2018-04-01 19:18:12 UTC
Unicode pictographs are no longer shown:
https://bugs.documentfoundation.org/show_bug.cgi?id=116731
Comment 23 QA Administrators 2019-04-02 02:49:24 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug